# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api/hake

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk
dingtalk:
  agentId: 2757249888
  appKey: ding3zk0vhfifznseopg
  appSecret: Eso_p9HrVrJClEqcwbYuuOeDbS5Lb0e8Qq_HWtJm4_GYR38E-O5UEvakWpxXAvqq
  corpId: dinge61fe69900ea236b35c2f4657eb6378f
  aesKey:
  token:
  operator: ""   # OA管理员账号

## aliwork-上海
#aliwork:
#  appType: "APP_QWUVLI1R6XYUXWAOPF6O"
#  systemToken: "SE766NA1XW0F9PG19UX926VYF9RS31DVAYMNLJ27"


# aliwork-马来
aliwork:
  appType: "APP_QJOL2IQW1DTH37FXPGSY"
  systemToken: "E3A66E810VPOPE2LCXHUJ6O6CWA12VWLSO81MOG"